from envelopes import Envelope
# from datetime import datetime

import re

FR_ADDR, TO, SUBJ = 'bank_notifier@mzk.ro', ['andras.pakai@mzk.ro',
                                             'endre.progli@mzk.ro',
                                             'laszlo.katona@mzk.ro',
                                             'levente.marton@mzk.ro'], \
                                             'Bank account event'

S_NAME, P_NUM, LOG_U, PAS, SEC = '192.168.201.4', 25, 'levente.marton@mzk.ro', 'mozaik1984', True


def mailer_details(mail_to=None, mail_from=None, mail_subj=None):
    return Envelope(mail_to, mail_from, mail_subj)

# ---> deprecated
# def dig_it(search_in, fl_point=100, pattern=r'\d+'):
#         return int(''.join(re.findall(pattern, search_in))[:-2]) + int(''.join(re.findall(pattern, search_in))[-2:]) / fl_point

def dig_it(search_in, default=0.00, fl_point=100, pattern=r'\d+') -> float:
    try:
        res = int(''.join(re.findall(pattern, search_in))[:-2]) + int(''.join(re.findall(pattern, search_in))[-2:]) / fl_point
        return res
    except ValueError:
        return default


# my_letter = mailer_details(TO, FR_ADDR, SUBJ)
#
# print(my_letter._subject)
# n_subj  = 'BRD'
#
# my_letter._subject = n_subj + ' ' + SUBJ
#
# print(my_letter._subject)
