from datetime import datetime
from time import sleep

from selenium import webdriver
from selenium.webdriver import ChromeOptions
from selenium.webdriver.common.keys import Keys

import mailer  # from Click_Element 
import selenium.webdriver.support.ui as sui

letter = mailer.mailer_details(mail_to=mailer.TO, mail_from=mailer.FR_ADDR, mail_subj=mailer.SUBJ)
chrome_options = ChromeOptions()
chrome_options.add_argument('--disable-infobars')
# chrome_options.add_argument("user-data-dir=_bt_")
browser = webdriver.Chrome(chrome_options=chrome_options)
# browser.switch_to.win
brd_data = {'brd_url' : 'https://www.brdoffice.ro/smartoffice/_mcologon?...OASLogon%2ELanguage=RO',
            'brd_el_us' : 'OASLogon.User',
            'brd_el_pw' : 'OASLogon.PIN',
            'brd_login' : '31300126',
            'brd_refresh' : 'pmi_1_123',
            'd_name' : 'BRD'}

bt_data = {'bt_url' : 'https://ib.btrl.ro/BT24/bfo/channel/web/loginframe.jsp?locale=RO',
           'bt_el_us' : '$$LoginId$$bfo_46_channel_46_web_46_function_46_login_58_UnencodedLoginRequest$$bfo_46_channel_46_web_46_function_46_login_58_UnencodedLoginRequest',
           'bt_el_pw' : '$$AuthToken$$bfo_46_channel_46_web_46_function_46_login_58_UnencodedLoginRequest$$bfo_46_channel_46_web_46_function_46_login_58_UnencodedLoginRequest',
           'bt_login' : 'N63584AAI',
           'bt_refresh' : 'balancerefresh_ron_link',
           'd_name' : 'BT'}

uni_data = {'uni_url' : 'https://ro.unicreditbanking.net/disp?lang=ro&embedcontentname=BusinessNet',
            'uni_el_us' : 'login_input mandatory_field',
            'uni_el_pw' : '1259368392',
            'uni_login' : '1138725MZK',
            'uni_refresh' : ':w.label',
            'd_name' : 'UNI'}


def bank_load(browser, nr_tabs):
    browser.get('https://duckduckgo.com/?q=python&t=hf&ia=about')
    print('...wait to load %s tabs' % (nr_tabs + 1))
    first_result = sui.WebDriverWait(browser, 15).until(lambda browser: browser.find_element_by_class_name('body--serp'))
    first_link = first_result.find_element_by_tag_name('a')
    main_window = browser.current_window_handle
    browser.switch_to.window(main_window)
    i = 0
    while i < nr_tabs:
        first_link.send_keys(Keys.CONTROL + Keys.RETURN)
        i += 1
        sleep(1)
    browser.switch_to.window(browser.window_handles[0])
    sleep(2)


def bank_login(browser, tab, data_dict, url, logelem, login, passelem, passw=None):
    browser.switch_to.window(browser.window_handles[tab])
    print('...switching to tab %s' % (tab + 1))
    browser.get(data_dict[url])
    print('...bank url is %s' % (data_dict[url]))
    sleep(1)
    if data_dict == bt_data:
        bt_iframe = browser.find_elements_by_tag_name('iframe')[0]
        browser.switch_to.frame(bt_iframe)
        user = browser.find_element_by_id(data_dict[logelem])
        passv = browser.find_element_by_id(data_dict[passelem])
    elif data_dict == uni_data:
        els = browser.find_elements_by_xpath('//*[@id]')
        for i in els:
            if i.get_attribute('class') == data_dict[logelem]:
                e = i.get_attribute('id')
                user = browser.find_element_by_id(e)
    elif data_dict == brd_data:
        user = browser.find_element_by_id(data_dict[logelem])
        try:
            close_ad = browser.find_element_by_id('splash-45555-close-button')
            close_ad.click()
        except:
            print('element not found')
        passv = browser.find_element_by_id(data_dict[passelem])
    if data_dict == uni_data:
        user.send_keys(data_dict[login])
        user.send_keys(Keys.RETURN)
        sleep(5)
        els = browser.find_elements_by_xpath('//*[@id]')
        for i in els:
            if i.get_attribute('class') == data_dict[logelem]:
                e = i.get_attribute('id')
                passv = browser.find_element_by_id(e)
    else:
        user.send_keys(data_dict[login])
        print('...sending user name %s' % (data_dict[login]))
    passw = input('...token pass here')
    passv.send_keys(passw)
    passv.send_keys(Keys.RETURN)
    if data_dict == brd_data:
        rap = sui.WebDriverWait(browser, 15).until(lambda browser: browser.find_element_by_id('pmi_1'))
        rap.click()
    sleep(5)


def refresh(browser, data_dict, to_refresh):
    c = 1
    err = 1
    if data_dict == bt_data:
        bt_iframe2 = browser.find_elements_by_tag_name('iframe')[0]
        browser.switch_to.frame(bt_iframe2)
        bal = browser.find_element_by_id(data_dict[to_refresh])
        print(bal.get_attribute('id'))
    elif data_dict == uni_data:
        bal = browser.find_element_by_id(data_dict[to_refresh])
        print(bal.get_attribute('id'))
    elif data_dict == brd_data:
        bal = browser.find_element_by_id(data_dict[to_refresh])
        print(bal.get_attribute('id'))
    while True:
        s_cont = []
        try:
            t = 210
            sleep(3)
            print(data_dict['d_name'])
            if data_dict == brd_data:
                sold = browser.find_element_by_xpath('//*[@id="idListUngrouped"]/tbody/tr[4]/td[6]')
                s_cont.append(sold.text)
                try:
                    bal.click()
                except:
                    print('...skipping')
            elif data_dict == bt_data:
                sold = browser.find_element_by_xpath('//*[@id="ronBalanceOnline"]')
                s_cont.append(sold.text)
                try:
                    bal.click()
                except:
                    print('...skipping')
            elif data_dict == uni_data:
                all_els = browser.find_elements_by_xpath('//*[@id]')
                my_str = ''.join(i.text for e, i in enumerate(all_els) if e == 0)
                if ''.join(i for n, i in enumerate(my_str.split()) if n == 92) == '1138725001':
                    if ''.join(i for n, i in enumerate(my_str.split()) if n == 89) == '':
                        sold = ''.join(i for n, i in enumerate(my_str.split()) if n == 86)
                    elif ''.join(i for n, i in enumerate(my_str.split()) if n == 86) == '':
                        sold = ''.join(i for n, i in enumerate(my_str.split()) if n == 87)
                    elif ''.join(i for n, i in enumerate(my_str.split()) if n == 87) == '':
                        sold = ''.join(i for n, i in enumerate(my_str.split()) if n == 88)
                    else:
                        sold = ''.join(i for n, i in enumerate(my_str.split()) if n == 89)
                else:
                    sold = ''.join(i for n, i in enumerate(my_str.split()) if n == 92)
                s_cont.append(sold)
                try:
                    bal.click()
                except:
                    print('...skipping')
            if isinstance(mailer.dig_it(s_cont[0]), float):
                print('...prev balance: {}'.format(mailer.dig_it(s_cont[0])))
            while t >= 0:
                mins, secs = divmod(t, 60)
                timeformat = '{:02d}:{:02d}'.format(mins, secs)
                print('...clicking in', timeformat, end='\r')
                sleep(1)
                t -= 1
            print('')
            print('...now clicking')
            bal.click()
            sleep(3)
            if data_dict == brd_data:
                sold1 = browser.find_element_by_xpath('//*[@id="idListUngrouped"]/tbody/tr[4]/td[6]')
            elif data_dict == bt_data:
                sold1 = browser.find_element_by_xpath('//*[@id="ronBalanceOnline"]')
            elif data_dict == uni_data:
                all_els = browser.find_elements_by_xpath('//*[@id]')
                my_str = ''.join(i.text for e, i in enumerate(all_els) if e == 0)
                if ''.join(i for n, i in enumerate(my_str.split()) if n == 92) == '1138725001':
                    if ''.join(i for n, i in enumerate(my_str.split()) if n == 89) == '':
                        sold1 = ''.join(i for n, i in enumerate(my_str.split()) if n == 86)
                    elif ''.join(i for n, i in enumerate(my_str.split()) if n == 86) == '':
                        sold1 = ''.join(i for n, i in enumerate(my_str.split()) if n == 87)
                    elif ''.join(i for n, i in enumerate(my_str.split()) if n == 87) == '':
                        sold1 = ''.join(i for n, i in enumerate(my_str.split()) if n == 88)
                    else:
                        sold1 = ''.join(i for n, i in enumerate(my_str.split()) if n == 89)
                else:
                    sold1 = ''.join(i for n, i in enumerate(my_str.split()) if n == 92)
            print('')
            try:
                sleep(0.5)
                if isinstance(mailer.dig_it(sold1.text), float):
                    print('...new balance: {0}'.format(mailer.dig_it(sold1.text)))
            except:
                sleep(1)
                if isinstance(mailer.dig_it(sold1), float):
                    print('...new balance2: {0}'.format(mailer.dig_it(sold1)))
            try:
                print('1`st try')
                if mailer.dig_it(sold1.text) - mailer.dig_it(s_cont[0]) != 0:
                    if sold1 == '':
                        print('reinitiate sold')
                    else:
                        if isinstance(mailer.dig_it(sold1.text), float):
                            letter._subject = data_dict['d_name'] + ' ' + mailer.SUBJ
                            letter.add_to_text_body(
                                'You`r receiving this mail becouse of a bank account event.\n\n \
                                Bank name: {0}\nTransaction details: {1}\n\nMozaik Consulting\nfinancial department\n\n{2}'.format(
                                data_dict['d_name'], mailer.dig_it(sold1.text) - mailer.dig_it(s_cont[0]), datetime.now().time()))
                            sleep(0.5)
                            letter.send(mailer.S_NAME, mailer.P_NUM, mailer.LOG_U, mailer.PAS, mailer.SEC)
                            print('notification sent, diff: {0}'.format(mailer.dig_it(sold1.text) - mailer.dig_it(s_cont[0])))
                else:
                    if isinstance(mailer.dig_it(sold1.text), float):
                        print('...balance not changed, diff: {0}'.format(mailer.dig_it(sold1.text) - mailer.dig_it(s_cont[0])))
            except:
                print('2`nd try')
                if mailer.dig_it(sold1) - mailer.dig_it(s_cont[0]) != 0:
                    if isinstance(mailer.dig_it(sold1), float):
                        letter._subject = data_dict['d_name'] + ' ' + mailer.SUBJ
                        letter.add_to_text_body(
                            'You`r receiving this mail becouse of a bank account event.\n\n \
                            Bank name: {0}\nTransaction details: {1}\n\nMozaik Consulting\nfinancial department\n\n{2}'.format(
                            data_dict['d_name'], mailer.dig_it(sold1) - mailer.dig_it(s_cont[0]), datetime.now().time()))
                        letter.send(mailer.S_NAME, mailer.P_NUM, mailer.LOG_U, mailer.PAS, mailer.SEC)
                        print('...notification sent, diff: {0}'.format(mailer.dig_it(sold1) - mailer.dig_it(s_cont[0])))
                else:
                    if isinstance(mailer.dig_it(sold1), float):
                        print('...balance not changed, diff: {0}'.format(mailer.dig_it(sold1) - mailer.dig_it(s_cont[0])))
            print('...clicked {0} times'.format(c))
            c += 1
        except:
            print('...element lost %s times, waiting to return' % (err))
            if data_dict == brd_data:
                bal = sui.WebDriverWait(browser, 240).until(lambda browser: browser.find_element_by_id(data_dict[to_refresh]))
                # bal.click()  # browser.find_element_by_id(data_dict[to_refresh])
            elif data_dict == bt_data:
                bal = sui.WebDriverWait(browser, 240).until(lambda browser: browser.find_element_by_id(data_dict[to_refresh])) 
                # bal.click()  # browser.find_element_by_id(data_dict[to_refresh])
            elif data_dict == uni_data:
                bal = sui.WebDriverWait(browser, 240).until(lambda browser: browser.find_element_by_id(data_dict[to_refresh]))  # browser.find_element_by_id(data_dict[to_refresh])
            print(bal.get_attribute('id'))
            err += 1
            

bank_load(browser, 0)
# bank_login(driver, 0, bt_data, 'bt_url', 'bt_el_us', 'bt_login', 'bt_el_pw')
bank_login(browser, 0, brd_data, 'brd_url', 'brd_el_us', 'brd_login', 'brd_el_pw')
# bank_login(driver, 0, uni_data, 'uni_url', 'uni_el_us', 'uni_login', 'uni_el_pw')
# refresh(driver, bt_data, 'bt_refresh')
refresh(browser, brd_data, 'brd_refresh')
# refresh(driver, uni_data, 'uni_refresh')
